Close

HAVE QUESTIONS?

A partner account manager can help. Contact us today.

 Subscribe me to your mailing list

[ERPSCAN-09-070] SAP RFC SDK — Memory Corruption

Application: RFC SDK (SAP AG)
Versions Affected: RFC SDK 6400-7.20 and SAP GUI 7.10-7.20
Vendor URL: http://sap.com
Bugs: Buffer Overflow
Exploits: YES
Reported: 16.12.2009
Vendor response: 16.12.2009
Date of SAP Security Note Published: 14.09.2010
Date of Public Advisory: 14.12.2010
Author: Alexey Sintsov

Description
SAP RFC SDK library is vulnerable to memory corruption. There are few ways to realize this attack: local or remote via network.

Business Risk
It can be exploited to execute code on Server and Workstation machine.

Server risk:
An attacker can send a malicious packet to server which can lead to memory corruption and possible code execution on server where SAP NetWeaver is installed. It can be used by attacker to gain full control on server and business-critical data stored on it.

Client risk:
An attacker can send a malicious link to an unaware user using e-mail, messaging or social networks. He also can insert this link into corporate portal. When clicking this link the end user browser will call vulnerable ActiveX component and overflow a stack buffer resulting in arbitrary code execution under the context of the user running the browser. It can be used by attacker to gain full control on victim's workstation.